Subject: NTP Port README
From: [email-masked] (Sven Dietrich)

25 Feb 1998 05:16:27 -0800
Message-ID: <[email-masked]>
To: [email-masked]
Cc: [email-masked]

To whom it may concern. 

I have managed to get the current release of NTP (4.0.72)
to compile and link under CDK, but there are definitely some 
problems with the executable.

As is, ntpd crashes in the select() call, in the main I/O loop (ntpd.c)

I have placed the current state of this porting project on my
ftp server, terrapin.csc.ncsu.edu/pub/incoming.

If anyone is interested in taking a look, please read on.

The file name is ntp-cdk.zip.

This will compile under the latest CDK. I am using a /lib to store
libraries, you might want to change that in the makefile.

The biggest suspect area is the timer stuff in ntp_timer.c. The
native GCC code uses itimer, but the NT port has some crafty
workaround with CALLBACKS... 

In most cases, I changed the 
#ifdef WINNT 
to
#if defined WINNT || defined CYGWIN
to incorporate the segments selectively.

so this port does not define WINNT, it uses CYGWIN32 !!!

I have attempted to retain the current status of the port to WINNT,
which is based on Visual C 4.0. This build uses batch files and
perl scripts and is ugly and deviant.

All new defines in ntp have been added under the 
wrapper 
#if defined CYGWIN32
...
#endif

Most of the defines are concentrated in the #ifdef CYGWIN32 section
of ntp_machine.h

I did this because the native GCC Unix code compiles cleaner in some 
places than the ported stuff defined under WINNT.
NTP is a lot happier under GCC, and I did not want to port the broken 
VC 4.0 port back to GCC...

Please do not run configure, as the defines are carefully crafted
to allow this to compile. Configure will blow this up, and you'll have
to restore the defines.

If you make any mods, and figure anything out, please let me know,
send me diffs, a new zip or whatever, I'll be glad for any input...

preferrably wrapped in the #ifdef CYGWIN32 cloak...

I would like to see NTP run and compile under GCC even on NT, 
but am not sure that I will have the resources to do this alone...

Please mail any feedback directly to this address:
[email-masked] 
[email-masked]

Thanks for your help!

Sven

P.S. For more info, http://www.eecis.udel.edu/~ntp

/*
 * Sven-Thorsten Dietrich
 * Software Component & Timing Solutions 
 * 
 * (408) 481-7289 (Voice)                  
 * (408) 481-2011 (Fax)
 */

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".